<?php
class Graficos extends MY_Controller
{
	
function __construct(){
	parent::__construct();
}

function index(){
	redirect('graficos/lista');
	}

function acceso_restringido() {
	$data['content']='acceso_restringido';
	$this->load->view('v_content',$data);
}

function check_access () {
	$this->load->library('sec_validation');	
	$result = $this->sec_validation->login_check_access($this->session->userdata('usuario_id'),$this->router->fetch_class(),$this->router->fetch_method());
	if (!$result) {
	$this->session->set_flashdata('message_error', 'Acceso Restringido=>'.$this->router->fetch_class()."/".$this->router->fetch_method());
	redirect('usuarios/acceso_restringido');
	}
}

function lista() {
	// Cambio session
	ini_set("session.cookie_lifetime","7200");
	ini_set("session.gc_maxlifetime","7200");	
	session_start();
	/*
	$_SESSION['usuario_id_tipo'] = 1;
	if ($this->session->userdata('usuario_id')== 1) {
			$_SESSION['usuario_id_tipo'] = null;
	}*/
	//REEMPLAZADO PARA QUE FUNCIONE CON USUARIOS QUE NO SON CONSULTORES Y NO SON EL ADMIN
	if (strpos($this->session->userdata('usuario_tipos_id'),'1') !== false) {
		$_SESSION['usuario_id_tipo'] = 1;
	} else {
		$_SESSION['usuario_id_tipo'] = $this->session->userdata('usuario_tipos_id');
	}
	// Redirect
	redirect($this->config->item('base_old_url')."graficos_clientes.php");

}

	
}


